
if {"" == [info globals __dcl_tcl__]} {
set __dcl_tcl__ 0

##############################################
# Set Camera
##############################################
proc setCamera { obj ev user } {
	global vsInvalidCamera vsDefaultCamera vsPersonEye vsWorldCamera vsNumOfCameraID

#	vsSetActiveCamera $obj $vsWorldCamera
#	vsSetActiveCamera $obj $vsPersonEye
#	vsSetActiveCamera $obj vsDefaultCamera
}


##############################################
# rotateTable
##############################################
set enableRotateDHClogo 0

proc rotateDHClogo { obj ev user } {
	global vsContinue vsCSLocal vsRelative
	global vsCSWorld vsAbsolute
	global enableRotateDHClogo

#	if {$enableRotateDHClogo == 1} {
	        vsObjectRotateAngle $obj 0.0 -10.0 0.0 $vsCSLocal $vsRelative
#		vsObjectRotateAngle $obj 0.0 0.0 10.0 $vsCSWorld $vsAbsolute
#	}

	return $vsContinue
}

proc setEnableRotateDHClogo {obj ev user} {
	global enableRotateDHClogo

	if {$enableRotateDHClogo == 0} {
		set enableRotateDHClogo 1
	} {
		set enableRotateDHClogo 0
	}
}

proc sonyLogoRoll { obj ev user } {
    global vsContinue vsCSLocal vsRelative
    vsObjectRotateAngle $obj 0.0 10.0 0.0 $vsCSLocal $vsRelative
}

proc GetPersonProc {obj ev u} {
    global  __Person vsContinue vsStop

    set __Person [vsGetActiveCamera $obj]
    if {$__Person == 0} {
        retrun $vsContinue
    }
    set CdPerson $__Person
    return $vsStop
}

set __worldIn 0
set PWRT(x) 0.0
set PWRT(y) 0.0
set PWRT(z) 0.0
set __Person 0
proc __worldInit {obj ev u} {
    global PWRT __worldIn
    global vsCSWorld vsAbsolute vsCSLocal
    global __Person vsTclScript vsPeriodicTask

    if {$__Person == 0} {
        vsAddTimeOutHandler $obj 500 $vsTclScript \
                        "" GetPersonProc 0 $vsPeriodicTask
    }

    if {$__worldIn == 0 && $__Person != 0} {
        vsObjectWRT $__Person  PWRT(x)  PWRT(y) PWRT(z) 
        set __worldIn 1

    } {
         if {$__Person != 0} {
            vsObjectRotateAngle $__Person 0.0 0.0 0.0 \
                         $vsCSLocal $vsAbsolute

            vsObjectTranslate $__Person \
                         $PWRT(x) $PWRT(y) $PWRT(z) \
                         $vsCSWorld $vsAbsolute
         }
    }
}

#

}

# end of file 

